Bug 354 - The realclean target deletes a bit too much.
The realclean target deletes a bit too much.
Status: RESOLVED FIXED
Product: NSD
Classification: Unclassified
Component: NSD Code
3.2.x
All All
: P5 normal
Assigned To: NSD team
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-01-27 00:03 CET by Brad Smith
Modified: 2011-03-02 16:55 CET (History)
1 user (show)

See Also:


Attachments
Makefile diff (619 bytes, application/text)
2011-01-27 00:03 CET, Brad Smith
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Brad Smith 2011-01-27 00:03:37 CET
Created attachment 158 [details]
Makefile diff

The current realclean target in the Makefile deletes a bit too much and IMO is deleting files that it shouldn't be. It should be deleting files that were generated in some form from a potential build but not files that come within the dist archive.
Comment 1 Matthijs Mekking 2011-02-24 16:00:10 CET
Hi Brad, 

If you download the tarball from the site, there is no need to do a make realclean, make clean will fit your needs. In case you did do make realclean, you can run autoreconf to reconstruct the configure file.

Best regards, 
Matthijs
Comment 2 Brad Smith 2011-02-25 22:45:18 CET
We're using realclean because the regular clean target doesn't clean up enough. At the moment there isn't a clean target that actually cleans up enough properly.
Comment 3 Matthijs Mekking 2011-03-02 16:55:01 CET
Ok, I have committed this to trunk and it will see the next release.
Also, I have added a target make devclean that does the same what make realcean does now.